Subject: Regarding invoice/ [email-masked] / 2259374 / 9642467218
From: ARUNJAY RAJ <[email-masked]>
To: Seeta Seeta <[email-masked]>, Shakeeb Arsalan <[email-masked]>
Cc: Manish Kumar <[email-masked]>, Apoorv Joshi <[email-masked]>
Date: Wed, 17 Mar 2021 16:32:53 -0700 (MST)

Hi Team, 

Customer requested for the tax invoice of the order number 9642467218. 

Kindly do the needful, Thanks, for the help. 

Regards, 
Arunjay